<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Mle::AddressRegistrationEntry Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d4/d67/classThread_1_1Mle_1_1AddressRegistrationEntry-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Mle::AddressRegistrationEntry Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../de/d97/group__core-mle.html">MLE</a> &raquo; <a class="el" href="../../d4/d80/group__core-mle-tlvs.html">TLVs</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Source Address TLV generation and parsing.  
 <a href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">src/core/thread/mle_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Thread::Mle::AddressRegistrationEntry:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d71/classThread_1_1Mle_1_1AddressRegistrationEntry__coll__graph.png" border="0" usemap="#Thread_1_1Mle_1_1AddressRegistrationEntry_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Mle_1_1AddressRegistrationEntry_coll__map" id="Thread_1_1Mle_1_1AddressRegistrationEntry_coll__map">
<area shape="rect" id="node2" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html" title="This class implements an IPv6 address object. " alt="" coords="42,80,188,105"/>
<area shape="rect" id="node3" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="65,5,165,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a39276c30327ff9905f0dfdf43628ded1"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a39276c30327ff9905f0dfdf43628ded1">GetLength</a> (void) const </td></tr>
<tr class="memdesc:a39276c30327ff9905f0dfdf43628ded1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 address or IID length.  <a href="#a39276c30327ff9905f0dfdf43628ded1">More...</a><br /></td></tr>
<tr class="separator:a39276c30327ff9905f0dfdf43628ded1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71772ad3182275186cb911578c30c614"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a71772ad3182275186cb911578c30c614">IsCompressed</a> (void) const </td></tr>
<tr class="memdesc:a71772ad3182275186cb911578c30c614"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the Compressed flag is set.  <a href="#a71772ad3182275186cb911578c30c614">More...</a><br /></td></tr>
<tr class="separator:a71772ad3182275186cb911578c30c614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6b0fd53d79de1ce334f41af004335a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a6b0fd53d79de1ce334f41af004335a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a5a6b0fd53d79de1ce334f41af004335a">SetUncompressed</a> (void)</td></tr>
<tr class="memdesc:a5a6b0fd53d79de1ce334f41af004335a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Uncompressed flag. <br /></td></tr>
<tr class="separator:a5a6b0fd53d79de1ce334f41af004335a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0019545790afaa56d4f39486833b9e1"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#ab0019545790afaa56d4f39486833b9e1">GetContextId</a> (void) const </td></tr>
<tr class="memdesc:ab0019545790afaa56d4f39486833b9e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Context ID for the compressed form.  <a href="#ab0019545790afaa56d4f39486833b9e1">More...</a><br /></td></tr>
<tr class="separator:ab0019545790afaa56d4f39486833b9e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc68cf4111904aca1997c4d99847e733"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#acc68cf4111904aca1997c4d99847e733">SetContextId</a> (uint8_t aContextId)</td></tr>
<tr class="memdesc:acc68cf4111904aca1997c4d99847e733"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Context ID value.  <a href="#acc68cf4111904aca1997c4d99847e733">More...</a><br /></td></tr>
<tr class="separator:acc68cf4111904aca1997c4d99847e733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db51d67c216b4df797e21cd5e76ed20"><td class="memItemLeft" align="right" valign="top">const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a0db51d67c216b4df797e21cd5e76ed20">GetIid</a> (void) const </td></tr>
<tr class="memdesc:a0db51d67c216b4df797e21cd5e76ed20"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the IID value.  <a href="#a0db51d67c216b4df797e21cd5e76ed20">More...</a><br /></td></tr>
<tr class="separator:a0db51d67c216b4df797e21cd5e76ed20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad690b0bb8eb77e3850fc6161f3d57a2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#ad690b0bb8eb77e3850fc6161f3d57a2d">SetIid</a> (const uint8_t *aIid)</td></tr>
<tr class="memdesc:ad690b0bb8eb77e3850fc6161f3d57a2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IID value.  <a href="#ad690b0bb8eb77e3850fc6161f3d57a2d">More...</a><br /></td></tr>
<tr class="separator:ad690b0bb8eb77e3850fc6161f3d57a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1a8321b4ed0f954cd1790397542ab03"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#ac1a8321b4ed0f954cd1790397542ab03">GetIp6Address</a> (void) const </td></tr>
<tr class="memdesc:ac1a8321b4ed0f954cd1790397542ab03"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the IPv6 Address value.  <a href="#ac1a8321b4ed0f954cd1790397542ab03">More...</a><br /></td></tr>
<tr class="separator:ac1a8321b4ed0f954cd1790397542ab03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3421311501c4c047f7d74dff4dbc3beb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a3421311501c4c047f7d74dff4dbc3beb">SetIp6Address</a> (const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aAddress)</td></tr>
<tr class="memdesc:a3421311501c4c047f7d74dff4dbc3beb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Address value.  <a href="#a3421311501c4c047f7d74dff4dbc3beb">More...</a><br /></td></tr>
<tr class="separator:a3421311501c4c047f7d74dff4dbc3beb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Source Address TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab0019545790afaa56d4f39486833b9e1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::Mle::AddressRegistrationEntry::GetContextId </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Context ID for the compressed form. </p>
<dl class="section return"><dt>Returns</dt><dd>The Context ID value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ab0019545790afaa56d4f39486833b9e1_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ab0019545790afaa56d4f39486833b9e1_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ab0019545790afaa56d4f39486833b9e1_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ab0019545790afaa56d4f39486833b9e1_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="273,199,435,237"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1330,91,1491,129"/>
<area shape="rect" id="node12" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="519,316,680,355"/>
<area shape="rect" id="node14" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="483,199,716,237"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1593,107,1758,145"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1860,5,2030,44"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1863,68,2027,107"/>
<area shape="rect" id="node11" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1875,131,2015,169"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2124,172,2305,197"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2382,140,2555,179"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2426,203,2510,228"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2632,320,2787,359"/>
<area shape="rect" id="node13" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="764,319,1020,357"/>
<area shape="rect" id="node15" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2149,253,2280,279"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="804,256,979,295"/>
<area shape="rect" id="node16" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2372,405,2564,444"/>
<area shape="rect" id="node17" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2612,405,2807,444"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1068,313,1256,352"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1304,300,1518,325"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1567,349,1784,388"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1580,464,1771,503"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1566,300,1786,325"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1595,44,1756,83"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1867,413,2023,439"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1847,463,2043,488"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1834,512,2056,537"/>
<area shape="rect" id="node23" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2163,412,2266,437"/>
<area shape="rect" id="node25" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2149,463,2280,488"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2159,512,2270,537"/>
<area shape="rect" id="node29" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1843,296,2047,335"/>
<area shape="rect" id="node31" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2104,360,2324,385"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a0db51d67c216b4df797e21cd5e76ed20"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t* Thread::Mle::AddressRegistrationEntry::GetIid </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a pointer to the IID value. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the IID value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a0db51d67c216b4df797e21cd5e76ed20_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a0db51d67c216b4df797e21cd5e76ed20_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a0db51d67c216b4df797e21cd5e76ed20_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a0db51d67c216b4df797e21cd5e76ed20_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="273,199,435,237"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1330,91,1491,129"/>
<area shape="rect" id="node12" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="519,316,680,355"/>
<area shape="rect" id="node14" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="483,199,716,237"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1593,107,1758,145"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1860,5,2030,44"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1863,68,2027,107"/>
<area shape="rect" id="node11" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1875,131,2015,169"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2124,172,2305,197"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2382,140,2555,179"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2426,203,2510,228"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2632,320,2787,359"/>
<area shape="rect" id="node13" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="764,319,1020,357"/>
<area shape="rect" id="node15" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2149,253,2280,279"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="804,256,979,295"/>
<area shape="rect" id="node16" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2372,405,2564,444"/>
<area shape="rect" id="node17" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2612,405,2807,444"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1068,313,1256,352"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1304,300,1518,325"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1567,349,1784,388"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1580,464,1771,503"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1566,300,1786,325"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1595,44,1756,83"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1867,413,2023,439"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1847,463,2043,488"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1834,512,2056,537"/>
<area shape="rect" id="node23" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2163,412,2266,437"/>
<area shape="rect" id="node25" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2149,463,2280,488"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2159,512,2270,537"/>
<area shape="rect" id="node29" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1843,296,2047,335"/>
<area shape="rect" id="node31" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2104,360,2324,385"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac1a8321b4ed0f954cd1790397542ab03"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a>* Thread::Mle::AddressRegistrationEntry::GetIp6Address </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a pointer to the IPv6 Address value. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the IPv6 Address value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ac1a8321b4ed0f954cd1790397542ab03_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ac1a8321b4ed0f954cd1790397542ab03_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ac1a8321b4ed0f954cd1790397542ab03_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ac1a8321b4ed0f954cd1790397542ab03_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="273,199,435,237"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1330,91,1491,129"/>
<area shape="rect" id="node12" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="519,316,680,355"/>
<area shape="rect" id="node14" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="483,199,716,237"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1593,107,1758,145"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1860,5,2030,44"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1863,68,2027,107"/>
<area shape="rect" id="node11" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1875,131,2015,169"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2124,172,2305,197"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2382,140,2555,179"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2426,203,2510,228"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2632,320,2787,359"/>
<area shape="rect" id="node13" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="764,319,1020,357"/>
<area shape="rect" id="node15" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2149,253,2280,279"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="804,256,979,295"/>
<area shape="rect" id="node16" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2372,405,2564,444"/>
<area shape="rect" id="node17" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2612,405,2807,444"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1068,313,1256,352"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1304,300,1518,325"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1567,349,1784,388"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1580,464,1771,503"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1566,300,1786,325"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1595,44,1756,83"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1867,413,2023,439"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1847,463,2043,488"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1834,512,2056,537"/>
<area shape="rect" id="node23" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2163,412,2266,437"/>
<area shape="rect" id="node25" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2149,463,2280,488"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2159,512,2270,537"/>
<area shape="rect" id="node29" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1843,296,2047,335"/>
<area shape="rect" id="node31" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2104,360,2324,385"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a39276c30327ff9905f0dfdf43628ded1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::Mle::AddressRegistrationEntry::GetLength </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 address or IID length. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 address length if the Compressed bit is clear, or the IID length if the Compressed bit is set. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a39276c30327ff9905f0dfdf43628ded1_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a39276c30327ff9905f0dfdf43628ded1_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a39276c30327ff9905f0dfdf43628ded1_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a39276c30327ff9905f0dfdf43628ded1_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#gad555ca36631eff9b978e448ecbcf8e2e" title="This method appends an Address Registration TLV to a message. " alt="" coords="273,281,448,320"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="503,5,664,44"/>
<area shape="rect" id="node35" href="../../df/dd8/classThread_1_1Mle_1_1AddressRegistrationTlv.html#a1e9791ebecca659f02b17280fd9b8307" title="This method returns a pointer to the i&#39;th Address Entry. " alt="" coords="719,73,939,112"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="496,281,671,320"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1264,516,1454,555"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="735,339,923,377"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1278,124,1440,163"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="987,320,1201,345"/>
<area shape="rect" id="node21" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1251,453,1467,492"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2348,329,2528,355"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1249,301,1469,327"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1278,239,1439,277"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2583,297,2757,336"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2628,360,2712,385"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2805,459,2960,497"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1554,473,1711,499"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1535,572,1731,597"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1522,523,1744,548"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1874,473,1976,499"/>
<area shape="rect" id="node13" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2101,456,2293,495"/>
<area shape="rect" id="node14" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2341,456,2535,495"/>
<area shape="rect" id="node16" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1860,572,1990,597"/>
<area shape="rect" id="node18" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1870,523,1980,548"/>
<area shape="rect" id="node20" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1531,291,1735,329"/>
<area shape="rect" id="node22" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1815,423,2035,448"/>
<area shape="rect" id="node24" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2112,181,2281,220"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1552,113,1714,152"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1552,51,1714,89"/>
<area shape="rect" id="node32" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1517,176,1749,215"/>
<area shape="rect" id="node27" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1843,115,2007,153"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2114,55,2279,93"/>
<area shape="rect" id="node29" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2126,117,2267,156"/>
<area shape="rect" id="node31" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1797,23,2053,61"/>
<area shape="rect" id="node33" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1859,291,1991,316"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a71772ad3182275186cb911578c30c614"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Mle::AddressRegistrationEntry::IsCompressed </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the Compressed flag is set. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the Compressed flag is set. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the Compressed flag is not set. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a71772ad3182275186cb911578c30c614_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a71772ad3182275186cb911578c30c614_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a71772ad3182275186cb911578c30c614_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a71772ad3182275186cb911578c30c614_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="273,199,435,237"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1330,91,1491,129"/>
<area shape="rect" id="node12" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="519,316,680,355"/>
<area shape="rect" id="node14" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="483,199,716,237"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1593,107,1758,145"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1860,5,2030,44"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1863,68,2027,107"/>
<area shape="rect" id="node11" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1875,131,2015,169"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2124,172,2305,197"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2382,140,2555,179"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2426,203,2510,228"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2632,320,2787,359"/>
<area shape="rect" id="node13" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="764,319,1020,357"/>
<area shape="rect" id="node15" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2149,253,2280,279"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="804,256,979,295"/>
<area shape="rect" id="node16" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2372,405,2564,444"/>
<area shape="rect" id="node17" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2612,405,2807,444"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1068,313,1256,352"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1304,300,1518,325"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1567,349,1784,388"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1580,464,1771,503"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1566,300,1786,325"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1595,44,1756,83"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1867,413,2023,439"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1847,463,2043,488"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1834,512,2056,537"/>
<area shape="rect" id="node23" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2163,412,2266,437"/>
<area shape="rect" id="node25" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2149,463,2280,488"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2159,512,2270,537"/>
<area shape="rect" id="node29" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1843,296,2047,335"/>
<area shape="rect" id="node31" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2104,360,2324,385"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="acc68cf4111904aca1997c4d99847e733"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mle::AddressRegistrationEntry::SetContextId </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aContextId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Context ID value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aContextId</td><td>The Context ID value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_acc68cf4111904aca1997c4d99847e733_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_acc68cf4111904aca1997c4d99847e733_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_acc68cf4111904aca1997c4d99847e733_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_acc68cf4111904aca1997c4d99847e733_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#gad555ca36631eff9b978e448ecbcf8e2e" title="This method appends an Address Registration TLV to a message. " alt="" coords="273,353,448,392"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="503,529,664,568"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="496,353,671,392"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1232,118,1422,157"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="719,296,907,334"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1246,510,1408,549"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="955,328,1169,353"/>
<area shape="rect" id="node21" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1219,181,1435,220"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2316,330,2496,356"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1217,346,1437,372"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1246,396,1408,434"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2551,296,2725,334"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2596,358,2680,384"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2773,162,2928,201"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1523,190,1680,216"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1503,138,1699,164"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1490,37,1713,62"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1842,190,1945,216"/>
<area shape="rect" id="node13" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2069,80,2261,118"/>
<area shape="rect" id="node14" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2309,80,2503,118"/>
<area shape="rect" id="node16" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1828,138,1958,164"/>
<area shape="rect" id="node18" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1838,37,1948,62"/>
<area shape="rect" id="node20" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1499,346,1703,385"/>
<area shape="rect" id="node22" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1783,86,2003,112"/>
<area shape="rect" id="node24" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2080,432,2250,470"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1520,524,1682,562"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1520,586,1682,625"/>
<area shape="rect" id="node32" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1485,461,1717,500"/>
<area shape="rect" id="node27" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1811,521,1975,560"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2083,508,2247,546"/>
<area shape="rect" id="node29" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2094,570,2235,609"/>
<area shape="rect" id="node31" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1765,616,2021,654"/>
<area shape="rect" id="node33" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1828,245,1959,270"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad690b0bb8eb77e3850fc6161f3d57a2d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mle::AddressRegistrationEntry::SetIid </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aIid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IID value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aIid</td><td>A pointer to the IID value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ad690b0bb8eb77e3850fc6161f3d57a2d_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ad690b0bb8eb77e3850fc6161f3d57a2d_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ad690b0bb8eb77e3850fc6161f3d57a2d_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_ad690b0bb8eb77e3850fc6161f3d57a2d_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#gad555ca36631eff9b978e448ecbcf8e2e" title="This method appends an Address Registration TLV to a message. " alt="" coords="273,353,448,392"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="503,529,664,568"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="496,353,671,392"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1232,118,1422,157"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="719,296,907,334"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1246,510,1408,549"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="955,328,1169,353"/>
<area shape="rect" id="node21" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1219,181,1435,220"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2316,330,2496,356"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1217,346,1437,372"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1246,396,1408,434"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2551,296,2725,334"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2596,358,2680,384"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2773,162,2928,201"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1523,190,1680,216"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1503,138,1699,164"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1490,37,1713,62"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1842,190,1945,216"/>
<area shape="rect" id="node13" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2069,80,2261,118"/>
<area shape="rect" id="node14" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2309,80,2503,118"/>
<area shape="rect" id="node16" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1828,138,1958,164"/>
<area shape="rect" id="node18" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1838,37,1948,62"/>
<area shape="rect" id="node20" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1499,346,1703,385"/>
<area shape="rect" id="node22" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1783,86,2003,112"/>
<area shape="rect" id="node24" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2080,432,2250,470"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1520,524,1682,562"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1520,586,1682,625"/>
<area shape="rect" id="node32" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1485,461,1717,500"/>
<area shape="rect" id="node27" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1811,521,1975,560"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2083,508,2247,546"/>
<area shape="rect" id="node29" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2094,570,2235,609"/>
<area shape="rect" id="node31" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1765,616,2021,654"/>
<area shape="rect" id="node33" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1828,245,1959,270"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3421311501c4c047f7d74dff4dbc3beb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mle::AddressRegistrationEntry::SetIp6Address </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Address value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the IPv6 Address value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a3421311501c4c047f7d74dff4dbc3beb_icgraph.png" border="0" usemap="#df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a3421311501c4c047f7d74dff4dbc3beb_icgraph" alt=""/></div>
<map name="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a3421311501c4c047f7d74dff4dbc3beb_icgraph" id="df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry_a3421311501c4c047f7d74dff4dbc3beb_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#gad555ca36631eff9b978e448ecbcf8e2e" title="This method appends an Address Registration TLV to a message. " alt="" coords="273,353,448,392"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="503,529,664,568"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="496,353,671,392"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1232,118,1422,157"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="719,296,907,334"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1246,510,1408,549"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="955,328,1169,353"/>
<area shape="rect" id="node21" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1219,181,1435,220"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2316,330,2496,356"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1217,346,1437,372"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1246,396,1408,434"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2551,296,2725,334"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2596,358,2680,384"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2773,162,2928,201"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1523,190,1680,216"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1503,138,1699,164"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1490,37,1713,62"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1842,190,1945,216"/>
<area shape="rect" id="node13" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2069,80,2261,118"/>
<area shape="rect" id="node14" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2309,80,2503,118"/>
<area shape="rect" id="node16" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1828,138,1958,164"/>
<area shape="rect" id="node18" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1838,37,1948,62"/>
<area shape="rect" id="node20" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1499,346,1703,385"/>
<area shape="rect" id="node22" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1783,86,2003,112"/>
<area shape="rect" id="node24" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2080,432,2250,470"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1520,524,1682,562"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1520,586,1682,625"/>
<area shape="rect" id="node32" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1485,461,1717,500"/>
<area shape="rect" id="node27" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1811,521,1975,560"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2083,508,2247,546"/>
<area shape="rect" id="node29" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2094,570,2235,609"/>
<area shape="rect" id="node31" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1765,616,2021,654"/>
<area shape="rect" id="node33" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1828,245,1959,270"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">mle_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/dd4/namespaceThread_1_1Mle.html">Mle</a></li><li class="navelem"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">AddressRegistrationEntry</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
